%define pkgname odf-report

Name: ruby-%pkgname
Version: 0.1.3
Release: alt3

Summary: Ruby ODF template manipulation library
Group: Development/Ruby
License: MIT

Url: http://github.com/sandrods/odf-report
Source: %pkgname-%version.tar
Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

# Automatically added by buildreq on Wed Sep 23 2009
BuildRequires: ruby-tool-rdoc ruby-tool-setup
# naive buildreq dropped rpm-build-ruby :-/
BuildRequires: rpm-build-ruby
BuildArch: noarch

%description
Generates ODF files, given a template (.odt) and data, replacing tags

%package doc
Summary: Documentation and examples for %name
Group: Documentation

%description doc
Documentation and example script/data for %name

%prep
%setup -n %pkgname-%version
subst "s,^require 'rubygems',," lib/odf-report.rb
subst "s,../lib/,," test/test.rb
%update_setup_rb

%build
%ruby_config
%ruby_build

%install
%ruby_install

%files
%ruby_sitelibdir/*

%files doc
%doc *LICENSE* README* test/*

%changelog
* Thu Sep 24 2009 Michael Shigorin <mike@altlinux.org> 0.1.3-alt3
- the author clarified license to be MIT

* Thu Sep 24 2009 Michael Shigorin <mike@altlinux.org> 0.1.3-alt2
- fixed test script
- well, let's do doc subpackage then

* Thu Sep 24 2009 Michael Shigorin <mike@altlinux.org> 0.1.3-alt1
- built for ALT Linux
